{% extends formato_pag == "raw" ? "raw.twig" : "master.twig" %}
{% block contenido %}
    {#% if categoria|length > 0 %}
    <h4>{{ categoria.nombre }}</h4>
    {% else %}
    <h4>Lista de productos</h4>
    {% endif %#}
    <!--Area de contenido-->
    {% if productos|length > 0 %}
        <div class="row">
        {% for p in productos %}
            <div class="small-12 medium-4 large-3 columns end">
                {% set img = p.imagenes.first %}
                {% set atr = p.atributosRef %}
                <div class="itemProducto row">
                    <div class="small-12 columns">
                        <a class="imagen_producto" href="{{ preUrl }}index.php?controller=catalogo&task=mostrarProducto&id={{ p.id }}">
                            <img class="img_fullwidth" src="{{ urlImg }}productos/{{ p.id }}/thumb/{{ img.archivo }}" alt="{{ p.nombre }}" />
                        </a>
                        
                        <div class="row collapse">
                            <div class="small-4 columns">
                                <a class="button full gris uppercase" href="{{ preUrl }}index.php?controller=catalogo&task=mostrarProducto&id={{ p.id }}">
                                    Ver
                                </a>
                            </div>
                            <div class="small-8 columns">
                                <a class="button full verde uppercase" rel="lnk_add_home" href="{{ preUrl }}index.php?controller=carrito&task=agregarProducto&id_producto={{ p.id }}&id_ext={{ p.extensiones.first.id }}&cantidad=1">
                                    A&ntilde;adir
                                </a>
                            </div>
                        </div>
                    </div>
                    
                    <div class="small-12 columns">
                        <div class="box gris">
                            <a href="{{ preUrl }}index.php?controller=catalogo&task=mostrarProducto&id={{ p.id }}">
                                {{ p.nombre }}
                            </a>
                            <p>
                                {% if p.valor_base > 0 %}
                                <div><strong><big>$ {{ p.valor_base|number_format }}</big></strong></div>
                                <div><small class="uppercase">Unidad</small></div>
                                {% endif %}
                            </p>
                            {% if atr|length > 0 %}
                            <ul class="atributos">
                                {% for a in atr %}
                                    {% if a.atributo.portada == 'S' %}
                                    <li>{{ a.valor }}</li>
                                    {% endif %}
                                {% endfor %}
                            </ul>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}
        </div>
    {% endif %}
{% endblock %}
